/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const logsExplorerAppTitle = i18n.translate('xpack.observabilityLogsExplorer.appTitle', {
  defaultMessage: 'Logs Explorer',
});

export const logsAppTitle = i18n.translate('xpack.observabilityLogsExplorer.logsAppTitle', {
  defaultMessage: 'Logs',
});

export const observabilityAppTitle = i18n.translate(
  'xpack.observabilityLogsExplorer.observabilityAppTitle',
  {
    defaultMessage: 'Observability',
  }
);

export const deprecationBadgeTitle = i18n.translate(
  'xpack.observabilityLogsExplorer.deprecationBadgeTitle',
  {
    defaultMessage: 'Deprecation notice',
  }
);

export const deprecationBadgeDescription = i18n.translate(
  'xpack.observabilityLogsExplorer.deprecationBadgeDescription',
  {
    defaultMessage:
      'Logs Stream and Logs Explorer are set to be deprecated. Switch to Discover and enable the new Observability solution for an improved logs experience.',
  }
);

export const deprecationBadgeGuideline = i18n.translate(
  'xpack.observabilityLogsExplorer.deprecationBadgeGuideline',
  {
    defaultMessage:
      'You can temporarily access Logs Stream by re-enabling it in Advanced Settings.',
  }
);

export const discoverLinkTitle = i18n.translate(
  'xpack.observabilityLogsExplorer.discoverLinkTitle',
  {
    defaultMessage: 'Open in Discover',
  }
);

export const onboardingLinkTitle = i18n.translate(
  'xpack.observabilityLogsExplorer.onboardingLinkTitle',
  {
    defaultMessage: 'Add data',
  }
);

export const feedbackLinkTitle = i18n.translate(
  'xpack.observabilityLogsExplorer.feedbackLinkTitle',
  {
    defaultMessage: 'Give feedback',
  }
);

export const createSLoLabel = i18n.translate('xpack.observabilityLogsExplorer.createSlo', {
  defaultMessage: 'Create SLO',
});

export const datasetQualityLinkTitle = i18n.translate(
  'xpack.observabilityLogsExplorer.datasetQualityLinkTitle',
  {
    defaultMessage: 'Data sets',
  }
);
